net.corda.node.utilities

## Class LocalDateColumnType

- net.corda.node.utilities.LocalDateColumnType

-     public class LocalDateColumnType

  ColumnType for marshalling to/from database on behalf of java.time.LocalDate.

  See Also:
    java.time.LocalDate

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LocalDateColumnType` | `INSTANCE` ColumnType for marshalling to/from database on behalf of java.time.LocalDate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `nonNullValueToString(java.lang.Object value)`
    `java.lang.Object` | `notNullValueToDB(java.lang.Object value)`
    `java.lang.String` | `sqlType()`
    `java.lang.Object` | `valueFromDB(java.lang.Object value)`

- - ### Field Detail

    - #### INSTANCE

          public static LocalDateColumnType INSTANCE

      ColumnType for marshalling to/from database on behalf of java.time.LocalDate.

      See Also:
        java.time.LocalDate

  - ### Method Detail

    - #### sqlType

          public java.lang.String sqlType()

    - #### nonNullValueToString

          public java.lang.String nonNullValueToString(java.lang.Object value)

    - #### valueFromDB

          public java.lang.Object valueFromDB(java.lang.Object value)

    - #### notNullValueToDB

          public java.lang.Object notNullValueToDB(java.lang.Object value)